- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
StarItemPoolInternal::State Struct Reference

Internal: the state of a StarItemPool. More...

## Public Member Functions
| State (StarObject &document, StarItemPool::Type type)
| constructor More...
void | init (StarItemPool::Type type)
| initialize a pool More...
void | clean ()
| clean the state More...
void | setPoolName (librevenge::RVNGString const &name)
| set the pool name More...
int | isInRange (int which) const
| returns true if the value is in expected range More...
void | addVersionMap (uint16_t nVers, uint16_t nStart, std::vector< int > const &list)
| add a new version map More...
int | getWhich (int nFileWhich) const
| try to return ??? More...
State * | getPoolStateFor (int which)
| returns the state corresponding to which More...
Values * | getValues (int id, bool create=false)
| returns a pointer to the values data More...
shared_ptr< StarAttribute > | getDefaultAttribute (int which)
| try to return a default attribute corresponding to which More...

## Static Public Member Functions
static librevenge::RVNGString | getBasicString (librevenge::RVNGString const &s)
| small function to simplify a string (bad hack) More...

## Public Attributes
StarObject & | m_document
| the document More...
StarItemPool::Type | m_type
| the document type More...
int | m_majorVersion
| the majorVersion More...
int | m_minorVersion
| the minorVersion More...
int | m_loadingVersion
| the loading version More...
librevenge::RVNGString | m_name
| the name More...
bool | m_isSecondaryPool
| a flag to know if a pool is a secondary pool More...
shared_ptr< StarItemPool > | m_secondaryPool
| the secondary pool More...
int | m_currentVersion
| the current version More...
int | m_verStart
| the minimum version More...
int | m_verEnd
| the maximum version More...
std::vector< Version > | m_versionList
| the list of version More...
std::vector< int > | m_idToAttributeList
| list whichId to attribute list More...
std::map< int, Values > | m_slotIdToValuesMap
| a map slot to the attribute list More...
std::map< StyleId, StarItemStyle > | m_styleIdToStyleMap
| the set of style More...
std::map< librevenge::RVNGString, librevenge::RVNGString > | m_simplifyNameToStyleNameMap
| map simplify style name to style name More...
std::map< int, shared_ptr< StarAttribute > > | m_idToDefaultMap
| map of created default attribute More...
std::vector< shared_ptr< StarItem > > | m_delayedItemList
| list of item which need to be read More...

## Private Member Functions
| State (State const &orig)
State | operator= (State const &orig)

## Detailed Description

Internal: the state of a StarItemPool.

## Constructor & Destructor Documentation

StarItemPoolInternal::State::State | ( | StarObject & | document,
|  | StarItemPool::Type | type
| ) |  |
| inline

constructor

StarItemPoolInternal::State::State | ( | State const & | orig | ) |
| private

## Member Function Documentation

void StarItemPoolInternal::State::addVersionMap | ( | uint16_t | nVers,
|  | uint16_t | nStart,
|  | std::vector< int > const & | list
| ) |  |
| inline

add a new version map

void StarItemPoolInternal::State::clean | ( |  | ) |
| inline

clean the state

static librevenge::RVNGString StarItemPoolInternal::State::getBasicString | ( | librevenge::RVNGString const & | s | ) |
| inline static

small function to simplify a string (bad hack)

shared_ptr<StarAttribute> StarItemPoolInternal::State::getDefaultAttribute | ( | int | which | ) |
| inline

try to return a default attribute corresponding to which

State* StarItemPoolInternal::State::getPoolStateFor | ( | int | which | ) |
| inline

returns the state corresponding to which

Referenced by getPoolStateFor().

Values* StarItemPoolInternal::State::getValues | ( | int | id,
|  | bool | create = `false`
| ) |  |
| inline

returns a pointer to the values data

int StarItemPoolInternal::State::getWhich | ( | int | nFileWhich | ) | const
| inline

try to return ???

void StarItemPoolInternal::State::init | ( | StarItemPool::Type | type | ) |

initialize a pool

int StarItemPoolInternal::State::isInRange | ( | int | which | ) | const
| inline

returns true if the value is in expected range

State StarItemPoolInternal::State::operator= | ( | State const & | orig | ) |
| private

void StarItemPoolInternal::State::setPoolName | ( | librevenge::RVNGString const & | name | ) |
| inline

set the pool name

## Member Data Documentation

int StarItemPoolInternal::State::m_currentVersion

the current version

std::vector<shared_ptr<StarItem> > StarItemPoolInternal::State::m_delayedItemList

list of item which need to be read

StarObject& StarItemPoolInternal::State::m_document

the document

Referenced by getDefaultAttribute(), and StarItemPool::readAttribute().

std::vector<int> StarItemPoolInternal::State::m_idToAttributeList

list whichId to attribute list

Referenced by getDefaultAttribute(), and StarItemPool::readAttribute().

std::map<int,shared_ptr<StarAttribute> > StarItemPoolInternal::State::m_idToDefaultMap

map of created default attribute

bool StarItemPoolInternal::State::m_isSecondaryPool

a flag to know if a pool is a secondary pool

int StarItemPoolInternal::State::m_loadingVersion

the loading version

int StarItemPoolInternal::State::m_majorVersion

the majorVersion

int StarItemPoolInternal::State::m_minorVersion

the minorVersion

librevenge::RVNGString StarItemPoolInternal::State::m_name

the name

shared_ptr<StarItemPool> StarItemPoolInternal::State::m_secondaryPool

the secondary pool

std::map<librevenge::RVNGString, librevenge::RVNGString> StarItemPoolInternal::State::m_simplifyNameToStyleNameMap

map simplify style name to style name

std::map<int, Values> StarItemPoolInternal::State::m_slotIdToValuesMap

a map slot to the attribute list

std::map<StyleId,StarItemStyle> StarItemPoolInternal::State::m_styleIdToStyleMap

the set of style

StarItemPool::Type StarItemPoolInternal::State::m_type

the document type

int StarItemPoolInternal::State::m_verEnd

the maximum version

std::vector<Version> StarItemPoolInternal::State::m_versionList

the list of version

int StarItemPoolInternal::State::m_verStart

the minimum version

Referenced by getDefaultAttribute(), and StarItemPool::readAttribute().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx